/*!
 * @file ItemTrait.h
 * @brief ゲーム中のアイテム特性のプロトタイプ定義
 * @date 2013/12/22
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

/*!
 * @class ItemTrait
 * @brief アイテム特性のクラス
 */
class ItemTrait : public GameElement
{

private:

public:

	/*! 
	 * @brief ItemTraitクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	ItemTrait::ItemTrait(ID id, TAG tag, GameWorld *gameWorld);

	ItemTrait::ItemTrait(void);

	ItemTrait::~ItemTrait(void);


};
